---
title: Math.cos()
slug: Web/JavaScript/Reference/Global_Objects/Math/cos
tags:
  - Geometry
  - JavaScript
  - Math
  - Method
  - Reference
  - Trigonometry
  - cos
  - cosine
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Math.cos()</code></strong> static function returns the {{interwiki("wikipedia", "cosine")}} of the specified angle, which must be specified in {{interwiki("wikipedia", "radians")}}. This value is </span><math style="display: inline;"> <mstyle displaystyle="true"> <mfrac> <msub> <mrow> <mtext>length</mtext> </mrow> <mrow> <mrow> <mtext>adjacent</mtext> </mrow> </mrow> </msub> <msub> <mrow> <mtext>length</mtext> </mrow> <mrow> <mrow> <mtext>hypotenuse</mtext> </mrow> </mrow> </msub> </mfrac> </mstyle> </math>.</p>

<div>{{EmbedInteractiveExample("pages/js/math-cos.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Math.cos(<var>x</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>x</var></code></dt>
 <dd>The angle in radians for which to return the cosine.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The cosine of the given number.</p>

<h2 id="Description">Description</h2>

<p>The <code>Math.cos()</code> method returns a numeric value between -1 and 1, which represents the cosine of the angle.</p>

<p>Because <code>cos()</code> is a static method of <code>Math</code>, you always use it as <code>Math.cos()</code>, rather than as a method of a <code>Math</code> object you created (<code>Math</code> is not a constructor).</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Math.cos">Using Math.cos()</h3>

<pre class="brush: js notranslate">Math.cos(0);           // 1
Math.cos(1);           // 0.5403023058681398

Math.cos(Math.PI);     // -1
Math.cos(2 * Math.PI); // 1
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-math.cos', 'Math.cos')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Math.cos")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Math.acos()")}}</li>
 <li>{{jsxref("Math.asin()")}}</li>
 <li>{{jsxref("Math.atan()")}}</li>
 <li>{{jsxref("Math.atan2()")}}</li>
 <li>{{jsxref("Math.sin()")}}</li>
 <li>{{jsxref("Math.tan()")}}</li>
</ul>
